| optoMDC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoMDC.registers.mre3_registers.MRE3BoardEEPROM Class Reference
Inheritance diagram for optoMDC.registers.mre3_registers.MRE3BoardEEPROM:

## Public Member Functions
| __init__ (self, board=None)
| GetEepromVersion (self)
| GetEepromSubVersion (self)
| GetSerialNumber (self)
| GetI2Caddr (self)
| SetI2Caddr (self, addr)
| GetFEautostart (self)
| SetFEautostart (self, val)
| GetFEvoltage (self)
| SetFEvoltage (self, val)
| GetPWMfreq (self)
| SetPWMfreq (self, val)
| SetPWMenableChanMask (self, mask)
| GetPWMenableChanMask (self)
| SetDeviceDetectChanMask (self, val)
| GetDeviceDetectChanMask (self)
| SetDevice3V3chanMask (self, val)
| GetDevice3V3chanMask (self)
| SetPStempLimit (self, val)
| GetPStempLimit (self)
| SetPStempHyst (self, val)
| GetPStempHyst (self)
| SetOStempLimit (self, val)
| GetOStempLimit (self)
| SetOStempHyst (self, val)
| GetOStempHyst (self)
| GetCalTimestamp (self)
| SetControlSetup (self, addr)
| GetControlSetup (self)
| SetSlaveNumOfRegisters (self, addr)
| GetSlaveNumOfRegisters (self)
| SetPowerOnDelay (self, addr)
| GetPowerOnDelay (self)
| GetEEPROMParsingResult (self)
| SetPositiveCurrentLimitChannel0 (self, addr)
| GetPositiveCurrentLimitChannel0 (self)
| SetNegativeCurrentLimitChannel0 (self, addr)
| GetNegativeCurrentLimitChannel0 (self)
| SetPositiveCurrentLimitChannel1 (self, addr)
| GetPositiveCurrentLimitChannel1 (self)
| SetNegativeCurrentLimitChannel1 (self, addr)
| GetNegativeCurrentLimitChannel1 (self)
| VerifyEEPROM (self, index, vector)
| LockEEPROM (self, enable=True)
| SetSerialNumber (self, serial)
| SetCalTimestamp (self, timestamp)

## Static Public Member Functions
| help ()

## Public Attributes
| eeprom_version
| eeprom_subversion
| part_number
| part_config
| prod_version
| I2C_slave_addr
| FE_autostart
| FE_voltage
| PWM_freq
| PWM_enable_chan_mask
| Device_detect_chan_mask
| Device_3V3_state_chan_mask
| PS_temp_limit
| PS_temp_hyst
| OS_temp_limit
| OS_temp_hyst
| Cal_timestamp
| Input_control_setup
| I2C_slave_num_of_registers
| power_on_delay
| board_EEPROM_parsing_result
| positive_current_limit_channel0
| negative_current_limit_channel0
| positive_current_limit_channel1
| negative_current_limit_channel1
| eeprom
| serial_number

## Static Protected Attributes
bool | _is_a_system = False

## Detailed Description

    * Board EEPROM system ID: <b>0x20</b>
    *
    * Board EEPROM system provides read and write functionality to the EEPROM located in the driver.
    * By default EEPROM data are write protected. To write data, the user has to explicitly unlock
    * the EEPROM by writing the key value to the lock register.
    *
    * ## Register Map:
    *
    * | Address | Name                           | Default Value | Description                                                       | Type   | Access    |
    * |---------|--------------------------------|---------------|-------------------------------------------------------------------|--------|-----------|
    * | 0x2000  | Lock                           | 1             | write the key to unlock, anything else to lock                    | float  | read write| Key value: 0x3f4744f6 (float 0.778396)
    * | 0x2001  | Board EEPROM version           | N/A           |                                                                   | uint16 | read only |
    * | 0x2002  | Board EEPROM subversion        | N/A           |                                                                   | uint8  | read only |
    * | 0x2003  | Part number                    | N/A           | Part number as an integer (2000mA->14521500, 500mA->14521400)     | uint32 | read only |
    * | 0x2004  | Part configuration             | N/A           |                                                                   | uint8  | read only |
    * | 0x2005  | Product version                | N/A           |                                                                   | uint8  | read only |
    * | 0x2006  | NOT USED                       | true or 1     | DHCP enabled if not 0                                             | bool   | read write|
    * | 0x2007  | NOT USED                       | 5000          |                                                                   | bool   | read write|
    * | 0x2008  | NOT USED                       | 30311         |                                                                   | bool   | read write|
    * | 0x2009  | I2C slave address              | 0x03          |                                                                   | uint8  | read write|
    * | 0x200A  | FE_autostart                   | true or 1     | Autostart if value!=0                                             | uint8  | read write|
    * | 0x200B  | FE_voltage                     | 12.0          |                                                                   | float  | read write|
    * | 0x200C  | PWM_freq                       | 0             | Startup PWM freq: 0=400kHz, 1=500kHz, 2=600kHz, 3=1MHz, 4=1.2MHz  | uint8  | read write|
    * | 0x200D  | PWM_enable_chan_mask           | 15            | Enable output PWM driver IC on channel (bitwise)                  | uint8  | read write|
    * | 0x200E  | Device_detect_chan_mask        | 15            | Enable autodetection on channel (bitwise)                         | uint8  | read write|
    * | 0x200F  | Device_3V3_state_chan_mask     | 0             | Enable device 3V3 startup state on channel (bitwise)              | uint8  | read write|
    * | 0x2010  | PS_temp_limit                  | 60            | Power supply temperature limit for shutdown                       | float  | read write|
    * | 0x2011  | PS_temp_hyst                   | 10            | Power supply temperature hysteresis for restart                   | float  | read write|
    * | 0x2012  | OS_temp_limit                  | 60            | Output stage temperature limit for shutdown                       | float  | read write|
    * | 0x2013  | OS_temp_hyst                   | 10            | Output stage temperature hysteresis for restart                   | float  | read write|
    * | 0x2014  | Start_auto_config              | 0             | 1=internal or 2=ext.triger starts auto-actuation (0=off)          | uint32 | read write|
    * | 0x2015  | Calibration Time-stamp         | N/A           | Unix Time format (seconds since 1.1.1970)                         | uint32 | read write|
    * | 0x2016  | UART baudrate configuration    | 0-Autobaudrate| Configuration of UART baudrate in Baud/s, 0 means Autobaudrate    | uint32 | read write|
    * | 0x2017  | Slave I2C register count       | 2             | Set # of registers which can be read in one SignalFlow loop 1/2/4 | uint32 | read write|
    * | 0x2018  | Power On Delay                 | 0             | Delay before board initialisation in milliseconds (0-65535)       | uint32 | read write|
    * | 0x2019  | Board EEPROM Parsing result    | 0             | Result of Board EEPROM parsing. Value 0 means OK. See error codes | uint32 | read only |
    * | 0x2020  | Positive current limit chan0   | 0.5           | Positive current limit for unknown devices in mA - chan0          | uint16 | read write|
    * | 0x2021  | Negative current limit chan0   | 0.5           | Negative current limit for unknown devices in mA - chan0          | uint16 | read write|
    * | 0x2022  | Positive current limit chan1   | 0.5           | Positive current limit for unknown devices in mA - chan1          | uint16 | read write|
    * | 0x2023  | Negative current limit chan1   | 0.5           | Negative current limit for unknown devices in mA - chan1          | uint16 | read write|
    *
    * The board EEPROM system supports the following vectors (vectors have their own address space):
    *
    * | Address | Name                           | Default  | Description                 | Format and value |
    * |---------|--------------------------------|----------|-----------------------------|------------------|
    * | 0x2000  | Board EEPROM                   |   N/A    | supports bytes up to 0x2000 |                  |
    * | 0x2001  | Board serial number            |   N/A    | 8 bytes                     | read only        |
    * |---------|--------------------------------|----------|-----------------------------|------------------|

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetCalTimestamp()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetCalTimestamp | ( |  | self | ) |

## ◆ GetControlSetup()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetControlSetup | ( |  | self | ) |

## ◆ GetDevice3V3chanMask()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetDevice3V3chanMask | ( |  | self | ) |

## ◆ GetDeviceDetectChanMask()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetDeviceDetectChanMask | ( |  | self | ) |

## ◆ GetEEPROMParsingResult()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetEEPROMParsingResult | ( |  | self | ) |

## ◆ GetEepromSubVersion()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetEepromSubVersion | ( |  | self | ) |

## ◆ GetEepromVersion()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetEepromVersion | ( |  | self | ) |

## ◆ GetFEautostart()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetFEautostart | ( |  | self | ) |

## ◆ GetFEvoltage()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetFEvoltage | ( |  | self | ) |

## ◆ GetI2Caddr()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetI2Caddr | ( |  | self | ) |

## ◆ GetNegativeCurrentLimitChannel0()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetNegativeCurrentLimitChannel0 | ( |  | self | ) |

## ◆ GetNegativeCurrentLimitChannel1()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetNegativeCurrentLimitChannel1 | ( |  | self | ) |

## ◆ GetOStempHyst()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetOStempHyst | ( |  | self | ) |

## ◆ GetOStempLimit()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetOStempLimit | ( |  | self | ) |

## ◆ GetPositiveCurrentLimitChannel0()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetPositiveCurrentLimitChannel0 | ( |  | self | ) |

## ◆ GetPositiveCurrentLimitChannel1()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetPositiveCurrentLimitChannel1 | ( |  | self | ) |

## ◆ GetPowerOnDelay()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetPowerOnDelay | ( |  | self | ) |

## ◆ GetPStempHyst()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetPStempHyst | ( |  | self | ) |

## ◆ GetPStempLimit()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetPStempLimit | ( |  | self | ) |

## ◆ GetPWMenableChanMask()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetPWMenableChanMask | ( |  | self | ) |

## ◆ GetPWMfreq()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetPWMfreq | ( |  | self | ) |

## ◆ GetSerialNumber()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetSerialNumber | ( |  | self | ) |

## ◆ GetSlaveNumOfRegisters()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.GetSlaveNumOfRegisters | ( |  | self | ) |

## ◆ help()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.help | ( |  | ) |
| static

## ◆ LockEEPROM()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.LockEEPROM | ( |  | self,
|  |  | enable = True )

## ◆ SetCalTimestamp()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetCalTimestamp | ( |  | self,
|  |  | timestamp )

## ◆ SetControlSetup()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetControlSetup | ( |  | self,
|  |  | addr )

## ◆ SetDevice3V3chanMask()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetDevice3V3chanMask | ( |  | self,
|  |  | val )

## ◆ SetDeviceDetectChanMask()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetDeviceDetectChanMask | ( |  | self,
|  |  | val )

## ◆ SetFEautostart()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetFEautostart | ( |  | self,
|  |  | val )

## ◆ SetFEvoltage()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetFEvoltage | ( |  | self,
|  |  | val )

## ◆ SetI2Caddr()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetI2Caddr | ( |  | self,
|  |  | addr )

## ◆ SetNegativeCurrentLimitChannel0()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetNegativeCurrentLimitChannel0 | ( |  | self,
|  |  | addr )

## ◆ SetNegativeCurrentLimitChannel1()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetNegativeCurrentLimitChannel1 | ( |  | self,
|  |  | addr )

## ◆ SetOStempHyst()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetOStempHyst | ( |  | self,
|  |  | val )

## ◆ SetOStempLimit()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetOStempLimit | ( |  | self,
|  |  | val )

## ◆ SetPositiveCurrentLimitChannel0()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetPositiveCurrentLimitChannel0 | ( |  | self,
|  |  | addr )

## ◆ SetPositiveCurrentLimitChannel1()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetPositiveCurrentLimitChannel1 | ( |  | self,
|  |  | addr )

## ◆ SetPowerOnDelay()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetPowerOnDelay | ( |  | self,
|  |  | addr )

## ◆ SetPStempHyst()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetPStempHyst | ( |  | self,
|  |  | val )

## ◆ SetPStempLimit()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetPStempLimit | ( |  | self,
|  |  | val )

## ◆ SetPWMenableChanMask()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetPWMenableChanMask | ( |  | self,
|  |  | mask )

## ◆ SetPWMfreq()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetPWMfreq | ( |  | self,
|  |  | val )

## ◆ SetSerialNumber()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetSerialNumber | ( |  | self,
|  |  | serial )

## ◆ SetSlaveNumOfRegisters()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.SetSlaveNumOfRegisters | ( |  | self,
|  |  | addr )

## ◆ VerifyEEPROM()

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.VerifyEEPROM | ( |  | self,
|  |  | index,
|  |  | vector )

## Member Data Documentation

## ◆ _is_a_system

bool optoMDC.registers.mre3_registers.MRE3BoardEEPROM._is_a_system = False
| static protected

## ◆ board_EEPROM_parsing_result

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.board_EEPROM_parsing_result

## ◆ Cal_timestamp

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.Cal_timestamp

## ◆ Device_3V3_state_chan_mask

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.Device_3V3_state_chan_mask

## ◆ Device_detect_chan_mask

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.Device_detect_chan_mask

## ◆ eeprom

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.eeprom

## ◆ eeprom_subversion

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.eeprom_subversion

## ◆ eeprom_version

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.eeprom_version

## ◆ FE_autostart

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.FE_autostart

## ◆ FE_voltage

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.FE_voltage

## ◆ I2C_slave_addr

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.I2C_slave_addr

## ◆ I2C_slave_num_of_registers

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.I2C_slave_num_of_registers

## ◆ Input_control_setup

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.Input_control_setup

## ◆ negative_current_limit_channel0

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.negative_current_limit_channel0

## ◆ negative_current_limit_channel1

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.negative_current_limit_channel1

## ◆ OS_temp_hyst

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.OS_temp_hyst

## ◆ OS_temp_limit

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.OS_temp_limit

## ◆ part_config

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.part_config

## ◆ part_number

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.part_number

## ◆ positive_current_limit_channel0

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.positive_current_limit_channel0

## ◆ positive_current_limit_channel1

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.positive_current_limit_channel1

## ◆ power_on_delay

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.power_on_delay

## ◆ prod_version

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.prod_version

## ◆ PS_temp_hyst

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.PS_temp_hyst

## ◆ PS_temp_limit

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.PS_temp_limit

## ◆ PWM_enable_chan_mask

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.PWM_enable_chan_mask

## ◆ PWM_freq

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.PWM_freq

## ◆ serial_number

optoMDC.registers.mre3_registers.MRE3BoardEEPROM.serial_number

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre3_registers.py